import { defineStore } from 'pinia';
import Player from '@/engine/Player/Player'

export const usePlayerStore = defineStore('player', {
  state: () => ({
    player: null as Player | null,
  }),

  actions: {
    setPlayer(player: Player) {
      this.player = player;
    },
  }
});